Subject: Re: bug#28025: Daemon/server passes string incorrectly to/from Systemd

From: Glenn Morris <[email-masked]>
Date: Fri, 11 Aug 2017 12:54:58 -0400

Arthur Miller wrote:

>> I don't see what D-Bus would have to do with this.
> Systemd-bus is D-bus if I understood Systemd docs correctly.

That may be, but it's not relevant to what Emacs does once it is started.

> Emacs daemon started with systemd as user service:
>
> ("TERM=dumb" "DICPATH=~/.emacs.d/hunspell"

There is no variable expansion inside systemd's "Environment" specifier,
and I don't think it does tilde expansion anywhere.

https://www.freedesktop.org/software/systemd/man/systemd.exec.html#Environment=

Specifiers work, so I guess you could use "%h" instead of "~".

https://www.freedesktop.org/software/systemd/man/systemd.unit.html#Specifiers